-- Load all the sql we need

create table mashup_user (
	user_id integer,
	page_title varchar(100),
	registered integer default 0
);

create sequence mashup_portal_type_id;

create table mashup_portal_type (
	id integer primary key,
	type varchar(100)
);

insert into mashup_portal_type (id,type) values (nextval('mashup_portal_type_id'),'newsfeed');
insert into mashup_portal_type (id,type) values (nextval('mashup_portal_type_id'),'tagcloud');
insert into mashup_portal_type (id,type) values (nextval('mashup_portal_type_id'),'weather');
insert into mashup_portal_type (id,type) values (nextval('mashup_portal_type_id'),'geoip');
insert into mashup_portal_type (id,type) values (nextval('mashup_portal_type_id'),'xocontent');
insert into mashup_portal_type (id,type) values (nextval('mashup_portal_type_id'),'googlead');
insert into mashup_portal_type (id,type) values (nextval('mashup_portal_type_id'),'myfeed');

create sequence mashup_portals_id;

create table mashup_portals (
	id serial primary key,
	user_id integer,
	type_id integer,
	column_n integer,
	order_n integer,
	hidden_p boolean default 'f',
	min_p boolean default 'f' ,
	title text,
	content_id integer
);

\i mashup-tagcloud-create.sql
\i mashup-feeds-create.sql
\i mashup-weather-create.sql
\i mashup-geoip-create.sql
\i mashup-content-create.sql
\i mashup-googlead-create.sql